Get Summary

Get Summary

API to get summary for given workload cluster with management cluster info

Request
URI
GET
https://{api_host}/tca/caas/api/v2/orgs/{orgId}/clusters/{clusterUUID}/summary
COPY
Path Parameters
string
orgId
Optional

The identifier of the tenant

string
clusterUUID
Required

UUID of management cluster of the given cluster.

Query Parameters
string
tcaCpId
Required

TCA-CP id of the given cluster


Authentication
This operation uses the following authentication methods.
Responses
200

Returns cluster summary

Returns summary of type(s) application/json
{
    "items": [
        {
            "name": "string",
            "type": "string",
            "status": [
                {}
            ]
        }
    ]
}
array of object
items
Optional

items


400
Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


404
Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


500
Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors